Index: trunk/SRC/ToBeReviewed/CALCULS/norme.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/norme.pro	(revision 295)
+++ trunk/SRC/ToBeReviewed/CALCULS/norme.pro	(revision 296)
@@ -28,5 +28,5 @@
 ;
 ; @returns
-; Array to trace with plt, pltz or pltt.
+; Array to trace with <pro>plt</pro>, <pro>pltz</pro> or <pro>pltt</pro>.
 ;
 ; @uses
Index: trunk/SRC/ToBeReviewed/GRILLE/domdef.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/domdef.pro	(revision 295)
+++ trunk/SRC/ToBeReviewed/GRILLE/domdef.pro	(revision 296)
@@ -191,6 +191,6 @@
 ;-------------------------------------------------------------------
 ; define all horizontal parameters ...
-; lon1 et lon2
-; lat1 et lat2
+; lon1 and lon2
+; lat1 and lat2
 ; firstx[tuvf], lastx[tuvf], nx[tuvf]
 ;-------------------------------------------------------------------
@@ -886,5 +886,5 @@
 ;-------------------------------------------------------------------
   IF NOT (keyword_set(zindex) OR keyword_set(index)) THEN BEGIN
-; define vert1 et vert2
+; define vert1 and vert2
     CASE N_PARAMS() OF
       2:vert1 = min([x1, x2], max = vert2)
Index: trunk/SRC/ToBeReviewed/LECTURE/litchamp.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/litchamp.pro	(revision 295)
+++ trunk/SRC/ToBeReviewed/LECTURE/litchamp.pro	(revision 296)
@@ -4,10 +4,10 @@
 ; Allows to read an array or a structure corresponding to a field.
 ; If we have in input:
-;   -an array, litchamp send back the array.
-;   -a structure, litchamp send back the first element of the structure
+;   - an array, litchamp send back the array.
+;   - a structure, litchamp send back the first element of the structure
 ;   which must be the field in an array.
-;   Litchamp profit of this to look other elements of the structure et
-;   update if needed global variables which refer to the field:
-;   vargrid, varname, varunit, vardate, varexp , valmask et time
+; litchamp profit of this to look other elements of the structure and 
+; update if needed global variables which refer to the field:
+; vargrid, varname, varunit, vardate, varexp , valmask et time
 ;
 ; @categories
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro	(revision 295)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro	(revision 296)
@@ -3,5 +3,5 @@
 ; @file_comments
 ; Overlayer contour to trace a field which can be mask.
-; Elementary brick of plt, pltz et pltt.
+; Elementary brick of <pro>plt</pro>, <pro>pltz</pro> and <pro>pltt</pro>.
 ;
 ; @categories
@@ -61,5 +61,5 @@
 ;
 ; @keyword FORPLT
-; To activate if we want that the drawing of coast be realized by tracecote rather than tracemask.
+; To activate if we want that the drawing of coast be realized by <pro>tracecote</pro> rather than <pro>tracemask</pro>.
 ;
 ; @keyword I_COLORS {type=vector}
@@ -87,5 +87,5 @@
 ;
 ; @keyword CONTOUR
-; To be used since plt, pltz or pltt. (Have a look on these routines).
+; To be used since <pro>plt</pro>, <pro>pltz</pro> or <pro>pltt</pro>. (Have a look on these routines).
 ;
 ; @keyword _EXTRA
@@ -96,5 +96,5 @@
 ;
 ; @restrictions
-; In the case of z2d, x and y are arrays of same size, we hate to put them as vectors: z2d[*], x[*], y[*].
+; In the case of z2d, x and y are arrays of same size, we have to put them as vectors: z2d[*], x[*], y[*].
 ;
 ; @history
@@ -102,5 +102,5 @@
 ; ????
 ; 8/2/2000 check if the tri array is not equal to
-; -1. allow contour with out using a triangulation.
+; -1. allow contour without using a triangulation.
 ;
 ; @version
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/sbar_plot.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/sbar_plot.pro	(revision 295)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/sbar_plot.pro	(revision 296)
@@ -49,5 +49,5 @@
 ;
 @common
-; 1) I reinitialize the graphic environment (variables !x, !y et !p):
+; 1) I reinitialize the graphic environment (variables !x, !y and !p):
    if NOT keyword_set(NOREINITPLT) then reinitplt, _extra = ex
 ; 2) I place the drawing on the screen like on the postscript
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro	(revision 295)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro	(revision 296)
@@ -36,5 +36,5 @@
 ;
 @common
-; 1) I reinitialize the graphic environment (variables !x, !y et !p):
+; 1) I reinitialize the graphic environment (variables !x, !y and !p):
   if NOT keyword_set(NOREINITPLT) then reinitplt, _extra = ex
 ; 2) i put the drawing on the screen like on the postscript
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro	(revision 295)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro	(revision 296)
@@ -40,5 +40,5 @@
 ;
 @common
-; 1) I reinitialize the graphic environment (les variables !x, !y et !p):
+; 1) I reinitialize the graphic environment (variables !x, !y and !p):
    if NOT keyword_set(NOREINITPLT) then reinitplt, _extra = ex
 ; 2) i put the drawing on the screen like on the postscript
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro	(revision 295)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro	(revision 296)
@@ -104,5 +104,5 @@
   endif
 ;------------------------------------------------------------
-; def of ncolmax, bottom, topcol et ncolors
+; def of ncolmax, bottom, topcol and ncolors
 ;------------------------------------------------------------
   ncolmax = !d.n_colors < 256
@@ -201,5 +201,5 @@
     window, window, xsize = nx+marginpix[0]+marginpix[1] $
             , ysize = ny+marginpix[2]+marginpix[3]
-; for 24 bits colors, make sure thate the background color is the good one...
+; for 24 bits colors, make sure that the background color is the good one...
     if !d.n_colors gt 256 then BEGIN
       device, decomposed = 1
@@ -243,5 +243,5 @@
 ; scrolling bar window case...
 ;------------------------------------------------------------
-; for 24 bits colors, make sure thate the background color is the good one...
+; for 24 bits colors, make sure that the background color is the good one...
     if !d.n_colors gt 256 then begin
       window, /pixmap
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro	(revision 295)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro	(revision 296)
@@ -136,5 +136,5 @@
 ;
 ; @file_comments
-; In input of plt, pltz, pltt and plt1d, it check that the field give
+; In input of <pro>plt</pro>, <pro>pltz</pro>, <pro>pltt</pro> and <pro>plt1d</pro>, it check that the field give
 ; a size compatible with the domain and, if needed, average to give us
 ; a 2d array if we make a plot of the type: 'xy', 'xz', 'xt', 'yz', 'yt'
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro	(revision 295)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro	(revision 296)
@@ -225,5 +225,5 @@
       AND !d.name ne 'PS' AND !d.name ne 'Z':BEGIN
       if not keyword_set(window) then window = 0
-; For the using of \@ps,\@oups et de \@vzoom
+; For the using of \@ps,\@oups and \@vzoom
       if lmgr(/demo) EQ 0 then BEGIN ; Are we in the demo mode??
         if !journal NE 0 then journal ; We close the journal if it is open
Index: trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/ajoutvect.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/ajoutvect.pro	(revision 295)
+++ trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/ajoutvect.pro	(revision 296)
@@ -149,5 +149,5 @@
       endif
 ;-----------------------------------------------------------
-; We mask u and v et v the long of coasts (the place where we
+; We mask u and v the long of coasts (the place where we
 ; can not calculate the average)
 ;-----------------------------------------------------------
Index: trunk/SRC/ToBeReviewed/PLOTS/axe.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/axe.pro	(revision 295)
+++ trunk/SRC/ToBeReviewed/PLOTS/axe.pro	(revision 296)
@@ -2,6 +2,6 @@
 ;
 ; @file_comments
-; Manage axes for the different drawings created by plt,
-; pltz and pltt
+; Manage axes for the different drawings created by 
+; <pro>plt</pro>, <pro>pltz</pro> and <pro>pltt</pro>
 ;
 ; @categories
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/updatewidget.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/updatewidget.pro	(revision 295)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/updatewidget.pro	(revision 296)
@@ -43,5 +43,5 @@
    widget_control, base, update = 0
 ;--------------
-; date1 et date2
+; date1 and date2
 ;--------------
    if keyword_set(nodates) then begin
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.pro	(revision 295)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.pro	(revision 296)
@@ -76,5 +76,5 @@
       rien = cw_calendar(basecal, newfile.fileparameters.time_counter, jdate2, uname = 'calendar2' $
                          , FAKECAL = fakecal, uvalue = {name:'calendar2'}, /frame)
-; We update fileparameters, readparameters et meshparameters elements of the top_value
+; We update fileparameters, readparameters and meshparameters elements of the top_value
       newfileparameters = ptrarr(currentfile+1, /allocate_heap)
       FOR i = 0, currentfile-1 DO $