Index: trunk/SRC/Obsolete/lec.pro
===================================================================
--- trunk/SRC/Obsolete/lec.pro	(revision 261)
+++ trunk/SRC/Obsolete/lec.pro	(revision 297)
@@ -283,5 +283,5 @@
               , iyminmesh-iymindta:iymaxmesh-iymindta, izminmesh-izmindta:izmaxmesh-izmindta]
 ;---------------------------------------------------------------------
-; on shift z si key_shift est defininit
+; on shift z si key_shift est defini
 ;---------------------------------------------------------------------
    if n_elements(key_shift) NE 0 THEN BEGIN
@@ -290,5 +290,5 @@
    endif
 ;---------------------------------------------------------------------
-;  si /TOUT n''est pas active, on coupe z pour q''il soit a la taille
+;  si /TOUT n''est pas active, on coupe z pour qu''il soit a la taille
 ;  du zoom: nx,ny nz
 ;---------------------------------------------------------------------
Index: trunk/SRC/Obsolete/lect.pro
===================================================================
--- trunk/SRC/Obsolete/lect.pro	(revision 261)
+++ trunk/SRC/Obsolete/lect.pro	(revision 297)
@@ -98,5 +98,5 @@
    ficname=ficname+'.'+box+'.'+direc+'.hovdat'
 ;-------------------------------------------------------------
-; Est ce que le fichier de hovmoller existe ?
+; Est ce que le fichier de hovmoeller existe ?
 ;-------------------------------------------------------------
 ;
Index: trunk/SRC/Obsolete/nlec5j.pro
===================================================================
--- trunk/SRC/Obsolete/nlec5j.pro	(revision 261)
+++ trunk/SRC/Obsolete/nlec5j.pro	(revision 297)
@@ -151,5 +151,5 @@
 ;------------------------------------------------------------
 ; redefinition eventuelle du domaine ajuste a boite (a 6 elements)
-; + on recupere la dim du no9uveau domaine
+; + on recupere la dim du nouveau domaine
 ;------------------------------------------------------------
       if keyword_set(boite) then BEGIN
Index: trunk/SRC/Obsolete/nlecan.pro
===================================================================
--- trunk/SRC/Obsolete/nlecan.pro	(revision 261)
+++ trunk/SRC/Obsolete/nlecan.pro	(revision 297)
@@ -142,5 +142,5 @@
 ;------------------------------------------------------------
 ; redefinition eventuelle du domaine ajuste a boite (a 6 elements)
-; + on recupere la dim du no9uveau domaine
+; + on recupere la dim du nouveau domaine
 ;------------------------------------------------------------
       if keyword_set(boite) then BEGIN
Index: trunk/SRC/Obsolete/nlecmois.pro
===================================================================
--- trunk/SRC/Obsolete/nlecmois.pro	(revision 261)
+++ trunk/SRC/Obsolete/nlecmois.pro	(revision 297)
@@ -99,5 +99,5 @@
 ;------------------------------------------------------------
 ; redefinition eventuelle du domaine ajuste a boite (a 6 elements)
-; + on recupere la dim du no9uveau domaine
+; + on recupere la dim du nouveau domaine
 ;------------------------------------------------------------
       if keyword_set(boite) then BEGIN
Index: trunk/SRC/Obsolete/nlecsaison.pro
===================================================================
--- trunk/SRC/Obsolete/nlecsaison.pro	(revision 261)
+++ trunk/SRC/Obsolete/nlecsaison.pro	(revision 297)
@@ -141,5 +141,5 @@
 ;------------------------------------------------------------
 ; redefinition eventuelle du domaine ajuste a boite (a 6 elements)
-; + on recupere la dim du no9uveau domaine
+; + on recupere la dim du nouveau domaine
 ;------------------------------------------------------------
       if keyword_set(boite) then BEGIN
Index: trunk/SRC/Obsolete/nlecserie.pro
===================================================================
--- trunk/SRC/Obsolete/nlecserie.pro	(revision 261)
+++ trunk/SRC/Obsolete/nlecserie.pro	(revision 297)
@@ -137,5 +137,5 @@
 ;------------------------------------------------------------
 ; redefinition eventuelle du domaine ajuste a boite (a 6 elements)
-; + on recupere la dim du no9uveau domaine
+; + on recupere la dim du nouveau domaine
 ;------------------------------------------------------------
       if keyword_set(boite) then BEGIN