Index: trunk/SRC/Calendar/caldat.pro
===================================================================
--- trunk/SRC/Calendar/caldat.pro	(revision 317)
+++ trunk/SRC/Calendar/caldat.pro	(revision 318)
@@ -3,6 +3,5 @@
 ; @file_comments
 ; Return the calendar date and time given julian date.
-; This is the inverse of the function
-; <pro>julday</pro>.
+; This is the inverse of the function <pro>julday</pro>.
 ; 3 calendars are available according to the value of key_caltype
 ; (variable of the common file cm_4cal): 'greg', '360d', 'noleap'
@@ -11,24 +10,24 @@
 ; Calendar
 ;
-; @param JULIAN {in}{required} {type=long integer}
+; @param JULIAN {in}{required} {type=long integer or double-precision floating-point}
 ; contains the Julian Day Number (which begins at noon) of the
 ; specified calendar date.
 ;
-; @param MONTH {out} {type=integer}
+; @param MONTH {out} {type=longword integer}
 ; Number of the desired month (1 = January, ..., 12 = December).
 ;
-; @param DAY {out} {type=integer}
+; @param DAY {out} {type=longword integer}
 ; Number of day of the month.
 ;
-; @param YEAR {out} {type=integer}
+; @param YEAR {out} {type=longword integer}
 ; Number of the desired year.
 ;
-; @param HOUR {out} {type=integer}
+; @param HOUR {out} {type=longword integer}
 ; Hour of the day
 ;
-; @param MINUTE {out} {type=integer}
+; @param MINUTE {out} {type=longword integer}
 ; Minute of the day
 ;
-; @param SECOND {out} {type=float}
+; @param SECOND {out} {type=double-precision floating-point}
 ; Second (and fractions) of the day.
 ;
Index: trunk/SRC/Calendar/date2jul.pro
===================================================================
--- trunk/SRC/Calendar/date2jul.pro	(revision 317)
+++ trunk/SRC/Calendar/date2jul.pro	(revision 318)
@@ -2,10 +2,11 @@
 ;
 ; @file_comments
-; gives Julian day equivalent of a date in yyyymmdd format
+; gives Julian day equivalent of a date given in yyyymmdd format
+; This is the inverse of the function <pro>jul2date</pro>.
 ;
 ; @categories
 ; Calendar
 ;
-; @param date {in}{required} {type=long or double, sacalr or array}
+; @param date {in}{required} {type=long or double, scalar or array}
 ; longword integer with yyyymmdd format or double-precision
 ; floating-point with yyyymmdd.xx where xx is the fraction of the day
Index: trunk/SRC/Calendar/date2string.pro
===================================================================
--- trunk/SRC/Calendar/date2string.pro	(revision 317)
+++ trunk/SRC/Calendar/date2string.pro	(revision 318)
@@ -11,5 +11,5 @@
 ;
 ; @keyword _EXTRA
-; Used to pass keywords
+; Used to pass keywords to <proidl>string</proidl> function
 ;
 ; @returns
Index: trunk/SRC/Calendar/daysinmonth.pro
===================================================================
--- trunk/SRC/Calendar/daysinmonth.pro	(revision 317)
+++ trunk/SRC/Calendar/daysinmonth.pro	(revision 318)
@@ -7,11 +7,11 @@
 ; Calendar
 ;
+; @param MONTH {in}{optional} {type=integer}
+; month number
+;
 ; @param YEAR {in}{optional} {default=from "time" common variable of cm_4cal}
 ; To specify the year of the month. Used only if the common variable
 ; key_caltype = 'greg'. In that case, month and year must have the same
 ; number of elements.
-;
-; @param MONTH {in}{optional} {type=integer}
-; month number
 ;
 ; @returns
Index: trunk/SRC/Calendar/jul2date.pro
===================================================================
--- trunk/SRC/Calendar/jul2date.pro	(revision 317)
+++ trunk/SRC/Calendar/jul2date.pro	(revision 318)
@@ -3,9 +3,10 @@
 ; @file_comments
 ; gives yyyymmdd date equivalent of a Julian day
+; This is the inverse of the function <pro>date2jul</pro>.
 ;
 ; @categories
 ; Calendar
 ;
-; @param jday {in}{required} {type=long or double, sacalr or array}
+; @param jday {in}{required} {type=long or double, scalar or array}
 ; Julian day
 ;
Index: trunk/SRC/Calendar/julday.pro
===================================================================
--- trunk/SRC/Calendar/julday.pro	(revision 317)
+++ trunk/SRC/Calendar/julday.pro	(revision 318)
@@ -3,6 +3,5 @@
 ; @file_comments
 ; Calculate the Julian Day Number for a given month, day, and year.
-; This is the inverse of the library function
-; <pro>caldat</pro>.
+; This is the inverse of the library function <pro>caldat</pro>.
 ; 3 calendars are available according to the value of key_caltype
 ; (variable of the common file cm_4cal): 'greg', '360d', 'noleap'
Index: trunk/SRC/Calendar/monthname.pro
===================================================================
--- trunk/SRC/Calendar/monthname.pro	(revision 317)
+++ trunk/SRC/Calendar/monthname.pro	(revision 318)
@@ -11,5 +11,5 @@
 ;
 ; @keyword _EXTRA
-; Used to pass keywords
+; Used to pass keywords to <proidl>string</proidl> function
 ;
 ; @returns
@@ -17,5 +17,10 @@
 ;
 ; @examples
-; IDL> name=monthname(2)
+;   IDL> print, monthname([2,3])
+;   February March
+;   IDL> print, monthname(2, format='(C(CMOA0))')
+;   FEBRUARY
+;   IDL> print, monthname(2, format='(C(CmoA03,":"))')
+;   feb
 ;
 ; @history
Index: trunk/SRC/Colors/color24.pro
===================================================================
--- trunk/SRC/Colors/color24.pro	(revision 317)
+++ trunk/SRC/Colors/color24.pro	(revision 318)
@@ -5,15 +5,13 @@
 ; into the equivalent 24-big long integer.
 ; This routine was written to be used with routines like
-; COLORS <!--++ COLORS is not a routine--> or
-; <pro>getcolor</pro>.
+; or <pro>getcolor</pro>.
 ;
 ; @categories
 ; Graphics, Color
 ;
-; @param rgb_triple {in}{required}
-; A three-element column or row array representing
-; a color triple. The values of the elements must be between 0 and 255.
+; @param rgb_triple {in}{required}{type=byte, A three-element array}
+; A color triple. The values of the elements must be between 0 and 255.
 ;
-; @returns
+; @returns {type=long integer}
 ; a 24-bit long integer that is equivalent the input color.
 ; The color is described in terms of a hexadecimal number (e.g., FF206A)
Index: trunk/SRC/Colors/colorbar.pro
===================================================================
--- trunk/SRC/Colors/colorbar.pro	(revision 317)
+++ trunk/SRC/Colors/colorbar.pro	(revision 318)
@@ -6,5 +6,5 @@
 ;
 ; @categories
-; Graphics, Widget
+; Graphics
 ;
 ; @keyword BOTTOM {default=0B}
Index: trunk/SRC/ForOldVersion/oldcm_empty.pro
===================================================================
--- trunk/SRC/ForOldVersion/oldcm_empty.pro	(revision 317)
+++ trunk/SRC/ForOldVersion/oldcm_empty.pro	(revision 318)
@@ -1,3 +1,9 @@
 ;+
+; @file_comments
+; For internal use of SAXO
+; define empty common related to the obsolete variables
+;
+; @categories
+; Compatibility
 ;
 ; @history
Index: trunk/SRC/ForOldVersion/oldcm_full.pro
===================================================================
--- trunk/SRC/ForOldVersion/oldcm_full.pro	(revision 317)
+++ trunk/SRC/ForOldVersion/oldcm_full.pro	(revision 318)
@@ -1,3 +1,9 @@
 ;+
+; @file_comments
+; For internal use of SAXO
+; define common related to the obsolete variables
+;
+; @categories
+; Compatibility
 ;
 ; @history
Index: trunk/SRC/ForOldVersion/updatekwd.pro
===================================================================
--- trunk/SRC/ForOldVersion/updatekwd.pro	(revision 317)
+++ trunk/SRC/ForOldVersion/updatekwd.pro	(revision 318)
@@ -2,11 +2,13 @@
 ;
 ; @file_comments
+; For internal use of SAXO
 ; compatibility with old keywords
 ; if needed, force the definition of new keywords with the old ones.
 ;
-; @categories compatibility with previous version
+; @categories
+; Compatibility
 ;
 ; @examples
-; IDL> \@updatekwd
+; IDL> @updatekwd
 ;   (must be insert as an include in a procedure or function)
 ;
Index: trunk/SRC/ForOldVersion/updatenew.pro
===================================================================
--- trunk/SRC/ForOldVersion/updatenew.pro	(revision 317)
+++ trunk/SRC/ForOldVersion/updatenew.pro	(revision 318)
@@ -2,7 +2,11 @@
 ;
 ; @file_comments
-; common declaration
+; For internal use of SAXO
+; common declaration: update new variables with old ones
 ;
 ; check that key_forgetold and keep_compatibility are well defined...
+;
+; @categories
+; Compatibility
 ;
 ; @history
Index: trunk/SRC/ForOldVersion/updateold.pro
===================================================================
--- trunk/SRC/ForOldVersion/updateold.pro	(revision 317)
+++ trunk/SRC/ForOldVersion/updateold.pro	(revision 318)
@@ -2,5 +2,11 @@
 ;
 ; @file_comments
+; For internal use of SAXO
+; common declaration: update old variables with new ones
+;
 ; check that key_forgetold and keep_compatibility are well defined...
+;
+; @categories
+; Compatibility
 ;
 ; @history
Index: trunk/SRC/Matrix/zero_one.pro
===================================================================
--- trunk/SRC/Matrix/zero_one.pro	(revision 317)
+++ trunk/SRC/Matrix/zero_one.pro	(revision 318)
@@ -4,5 +4,5 @@
 ;
 ; @categories
-; Function, Matrix
+; Matrix
 ;
 ; @param n1 {in}{required}