Index: /trunk/SRC/Computation/.idlwave_catalog
===================================================================
--- /trunk/SRC/Computation/.idlwave_catalog	(revision 319)
+++ /trunk/SRC/Computation/.idlwave_catalog	(revision 320)
@@ -6,5 +6,6 @@
 (setq idlwave-library-catalog-libname "saxo")
 (setq idlwave-library-catalog-routines
- '(("curl" fun nil (lib "curl.pro" nil "saxo") "Result = %s(uu, vv)" (nil ("DIREC")))
-   ("div" fun nil (lib "div.pro" nil "saxo") "Result = %s(uu, vv)" (nil ("DIREC")))
-   ("grad" fun nil (lib "grad.pro" nil "saxo") "Result = %s(field, direc)" (nil))))
+ '(("curl" fun nil (lib "curl.pro" nil "saxo") "Result = %s(uu, vv)" (nil ("_EXTRA") ("DIREC") ("MILLION")))
+   ("div" fun nil (lib "div.pro" nil "saxo") "Result = %s(uu, vv)" (nil ("_EXTRA") ("DIREC") ("MILLION")))
+   ("grad" fun nil (lib "grad.pro" nil "saxo") "Result = %s(field, direc)" (nil ("_EXTRA") ("MILLION")))
+   ("norm" fun nil (lib "norm.pro" nil "saxo") "Result = %s(uu, vv)" (nil ("_EXTRA") ("DIREC")))))
Index: /trunk/SRC/Documentation/xmldoc/savesaxo.sh
===================================================================
--- /trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 319)
+++ /trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 320)
@@ -101,8 +101,8 @@
 set -u
 #
-docompileall=1
+docompileall=0
 dohtml=0
 dooldtest=0
-doidlwavedoc=0
+doidlwavedoc=1
 doidldoc=0
 doTARsrc=0
Index: /trunk/SRC/Grid/.idlwave_catalog
===================================================================
--- /trunk/SRC/Grid/.idlwave_catalog	(revision 319)
+++ /trunk/SRC/Grid/.idlwave_catalog	(revision 320)
@@ -7,5 +7,4 @@
 (setq idlwave-library-catalog-routines
  '(("changemsk" fun nil (lib "changemsk.pro" nil "saxo") "Result = %s(tab)" (nil ("CELLSIZE")))
-   ("checkperio" pro nil (lib "checkperio.pro" nil "saxo") "%s, file" (nil ("WRITE")))
    ("computegrid" pro nil (lib "computegrid.pro" nil "saxo") "%s, startx, starty, stepxin, stepyin, nxin, nyin" (nil ("_EXTRA") ("FBASE2TBASE") ("FULLCGRID") ("GLAMBOUNDARY") ("MASK") ("ONEARTH") ("PERIODIC") ("PLAIN") ("ROMSH") ("SHIFT") ("STRCALLING") ("STRIDE") ("UBASE2TBASE") ("VBASE2TBASE") ("XAXIS") ("XMAXMESH") ("XMINMESH") ("XYINDEX") ("YAXIS") ("YMAXMESH") ("YMINMESH") ("YREVERSE") ("ZAXIS") ("ZMAXMESH") ("ZMINMESH") ("ZREVERSE")))
    ("ncdf_transfer" pro nil (lib "micromeshmask.pro" nil "saxo") "%s, inid, outid, inname, outname" (nil))
Index: /trunk/SRC/Interpolation/.idlwave_catalog
===================================================================
--- /trunk/SRC/Interpolation/.idlwave_catalog	(revision 319)
+++ /trunk/SRC/Interpolation/.idlwave_catalog	(revision 320)
@@ -22,5 +22,5 @@
    ("get_gridparams" pro nil (lib "get_gridparams.pro" nil "saxo") "%s, in1, in2, in3, in4, in5, in6, in7, in8" (nil ("DOUBLE")))
    ("imoms3" fun nil (lib "imoms3.pro" nil "saxo") "Result = %s(xin)" (nil))
-   ("inquad" fun nil (lib "inquad.pro" nil "saxo") "Result = %s(x, y, x1, y1, x2, y2, x3, y3, x4, y4)" (nil ("DOUBLE") ("NEWCOORD") ("NOPRINT") ("ONSPHERE") ("ZOOMRADIUS")))
+   ("inquad" fun nil (lib "inquad.pro" nil "saxo") "Result = %s(x, y, x1, y1, x2, y2, x3, y3, x4, y4)" (nil ("DELTA") ("DOUBLE") ("NEWCOORD") ("NOPRINT") ("ONSPHERE")))
    ("inrecgrid" fun nil (lib "inrecgrid.pro" nil "saxo") "Result = %s(x1d, y1d, left, bottom)" (nil ("CHECKOUT") ("OUTPUT2D")))
    ("lbcorca" fun nil (lib "lbcorca.pro" nil "saxo") "Result = %s(arr, grid, psign)" (nil ("CORRECTION") ("VERBOSE")))
Index: /trunk/SRC/Obsolete/.idlwave_catalog
===================================================================
--- /trunk/SRC/Obsolete/.idlwave_catalog	(revision 319)
+++ /trunk/SRC/Obsolete/.idlwave_catalog	(revision 320)
@@ -24,4 +24,5 @@
    ("nlecsaison" fun nil (lib "nlecsaison.pro" nil "saxo") "Result = %s(nom, numsortie79, nbretps)" (nil ("_EXTRA") ("BOITE") ("GRILLE") ("TOUT")))
    ("nlecserie" fun nil (lib "nlecserie.pro" nil "saxo") "Result = %s(nom, date1, date2)" (nil ("_EXTRA") ("BOITE") ("GRILLE") ("TOUT")))
+   ("norme" fun nil (lib "norme.pro" nil "saxo") "Result = %s(composanteu, composantev)" (nil ("_EXTRA") ("BOXZOOM") ("DIREC")))
    ("strrepl" fun nil (lib "strrepl.pro" nil "saxo") "Result = %s(str, arg2, rchar)" (nil))
    ("vairdate" fun nil (lib "vairdate.pro" nil "saxo") "Result = %s(jdate)" (nil ("_EXTRA") ("ANNUEL") ("MENSUEL")))
Index: /trunk/SRC/ReadWrite/.idlwave_catalog
===================================================================
--- /trunk/SRC/ReadWrite/.idlwave_catalog	(revision 319)
+++ /trunk/SRC/ReadWrite/.idlwave_catalog	(revision 320)
@@ -8,5 +8,5 @@
  '(("ncdf_getatt" pro nil (lib "ncdf_getatt.pro" nil "saxo") "%s, fileid, varid" (nil ("add_offset") ("calendar") ("missing_value") ("scale_factor") ("units")))
    ("ncdf_getaxis" pro nil (lib "ncdf_getaxis.pro" nil "saxo") "%s, fileid, dimidx, dimidy, xaxis, yaxis" (nil ("_EXTRA") ("ROMSGRID") ("START1") ("XAXISNAME") ("XDIMNAME") ("XYINDEX") ("YAXISNAME") ("YDIMNAME")))
-   ("ncdf_getmask" fun nil (lib "ncdf_getmask.pro" nil "saxo") "Result = %s(fileid)" (nil ("_EXTRA") ("ADDSCL_BEFORE") ("MASKNAME") ("MISSING_VALUE") ("USEASMASK")))
+   ("ncdf_getmask" fun nil (lib "ncdf_getmask.pro" nil "saxo") "Result = %s(fileid)" (nil ("_EXTRA") ("ADDSCL_BEFORE") ("INVMASK") ("MASKNAME") ("MISSING_VALUE") ("USEASMASK")))
    ("ncdf_gettime" fun nil (lib "ncdf_gettime.pro" nil "saxo") "Result = %s(filename, cdfid)" (nil ("_EXTRA") ("CALLER") ("ERR") ("TIMEVAR")))
    ("read_grads" fun nil (lib "read_grads.pro" nil "saxo") "Result = %s(var, date1, date2)" (nil ("_EXTRA") ("BOX") ("EVERYTHING") ("FILENAME") ("NOSTRUCT") ("TIMESTEP")))
@@ -20,4 +20,8 @@
    ("scanctl" pro nil (lib "scanctl.pro" nil "saxo") "%s, filename, filesname, jpt1file, varsname, varslev, swapbytes, bigendian, littleendian, f77sequential, fileheader, theader, xyheader" (nil ("_EXTRA") ("VARFMT")))
    ("scanoasis" pro nil (lib "scanoasis.pro" nil "saxo") "%s, filename" (nil))
+   ("writenc_unlimdim_update" pro nil (lib "write_ncdf.pro" nil "saxo") "%s, dnames_imposed, unl_imposed, fmtbase, nviv, iidp1st, nn, dst, iid" (nil ("DIMIDASU") ("DIMSIZESU") ("DNAMAU") ("DNAMOSSU") ("IMPOSE_DNM_UNLU") ("NDIMTOTU") ("SUPERTABU") ("UNLIMAU") ("UNLIMTABAU")))
+   ("writenc_str2strlc" fun nil (lib "write_ncdf.pro" nil "saxo") "Result = %s(structa)" (nil))
+   ("writenc_strlc2str" fun nil (lib "write_ncdf.pro" nil "saxo") "Result = %s(strwlist)" (nil))
+   ("write_ncdf" pro nil (lib "write_ncdf.pro" nil "saxo") "%s, var01, var02, var03, var04, var05, var06, var07, var08, var09, var10, var11, var12, var13, var14, var15, var16, var17, var18, var19, var20, var21, var22, var23, var24, var25, var26, var27, var28, var29, var30" (nil ("FILENAME") ("GLOBATTR") ("NOT_OUASSALU") ("NOT_SDISV") ("OKNAN") ("VARNAME")))
    ("write_oasis" pro nil (lib "write_oasis.pro" nil "saxo") "%s, filename, varname, z2d" (nil ("APPEND") ("I2") ("I4") ("I8") ("R4")))
    ("writebat" pro nil (lib "writebat.pro" nil "saxo") "%s, zbat, filename" (nil))))
Index: /trunk/SRC/ReadWrite/idl-NetCDF/.idlwave_catalog
===================================================================
--- /trunk/SRC/ReadWrite/idl-NetCDF/.idlwave_catalog	(revision 319)
+++ /trunk/SRC/ReadWrite/idl-NetCDF/.idlwave_catalog	(revision 320)
@@ -7,5 +7,5 @@
 (setq idlwave-library-catalog-routines
  '(("ncdf_listdims" fun nil (lib "ncdf_listdims.pro" nil "saxo") "Result = %s(ncid)" (nil))
-   ("ncdf_listvars" fun nil (lib "ncdf_listvars.pro" nil "saxo") "Result = %s(ncid)" (nil))
+   ("ncdf_listvars" fun nil (lib "ncdf_listvars.pro" nil "saxo") "Result = %s(input)" (nil))
    ("ncdf_read" pro nil (lib "ncdf_read.pro" nil "saxo") "%s, filename, info, dinfo, vinfo, gatts, vatts, data" (nil))
    ("ncdf_struct" fun nil (lib "ncdf_struct.pro" nil "saxo") "Result = %s(filename)" (nil ("noattributes") ("nodata")))
Index: /trunk/SRC/ToBeReviewed/CALCULS/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/.idlwave_catalog	(revision 319)
+++ /trunk/SRC/ToBeReviewed/CALCULS/.idlwave_catalog	(revision 320)
@@ -19,5 +19,4 @@
    ("level2mask" fun nil (lib "level2mask.pro" nil "saxo") "Result = %s(tab)" (nil))
    ("moyenne" fun nil (lib "moyenne.pro" nil "saxo") "Result = %s(tab, direc)" (nil ("_EXTRA") ("BOXZOOM") ("INTEGRATION") ("NAN") ("NODOMDEF") ("WDEPTH")))
-   ("norme" fun nil (lib "norme.pro" nil "saxo") "Result = %s(composanteu, composantev)" (nil ("_EXTRA") ("BOXZOOM") ("DIREC")))
    ("projectondepth" fun nil (lib "projectondepth.pro" nil "saxo") "Result = %s(arrayin, depthin)" (nil))
    ("remplit" fun nil (lib "remplit.pro" nil "saxo") "Result = %s(zinput)" (nil ("_EXTRA") ("BASIQUE") ("FILLVAL") ("FILLXDIR") ("FILLYDIR") ("MASK") ("NAN") ("NITER")))
Index: /trunk/SRC/ToBeReviewed/PLOTS/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/.idlwave_catalog	(revision 319)
+++ /trunk/SRC/ToBeReviewed/PLOTS/.idlwave_catalog	(revision 320)
@@ -10,4 +10,5 @@
    ("plotsym" fun nil (lib "plotsym.pro" nil "saxo") "Result = %s" (nil ("_EXTRA") ("ANGLE") ("BOX") ("CIRCLE") ("DIAMOND") ("LINE") ("SCALE") ("TRIANGLE")))
    ("reinitplt" pro nil (lib "reinitplt.pro" nil "saxo") "%s" (nil ("ALL") ("INVERT") ("P") ("X") ("Y") ("Z")))
+   ("thresholdstyle" pro nil (lib "style.pro" nil "saxo") "%s, limit, ltlstyle, gtlstyle, level_z2d, linestyle, thick" (nil))
    ("style" pro nil (lib "style.pro" nil "saxo") "%s, labstyle, level_z2d, linestyle, thick" (nil))
    ("symbols" pro nil (lib "symbols.pro" nil "saxo") "%s, nsym, scale" (nil ("COLOR")))))
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog	(revision 319)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog	(revision 320)
@@ -6,5 +6,5 @@
 (setq idlwave-library-catalog-libname "saxo")
 (setq idlwave-library-catalog-routines
- '(("bar_plot" pro nil (lib "bar_plot.pro" nil "saxo") "%s, values" (nil ("_EXTRA") ("BACKGROUND") ("BARNAMES") ("BAROFFSET") ("BARSPACE") ("BARWIDTH") ("BASELINES") ("BASERANGE") ("COLORS") ("OUTLINE") ("OVERPLOt") ("ROTATE") ("TITLE") ("XTITLE") ("YTITLE")))
+ '(("bar_plot" pro nil (lib "bar_plot.pro" nil "saxo") "%s, values" (nil ("_EXTRA") ("BACKGROUND") ("BARNAMES") ("BAROFFSET") ("BARSPACE") ("BARWIDTH") ("BASELINES") ("BASERANGE") ("COLORS") ("OUTLINE") ("OVERPLOT") ("ROTATE") ("TITLE") ("XTITLE") ("YTITLE")))
    ("plt" pro nil (lib "plt.pro" nil "saxo") "%s, tab1, param2, param3, param4" (nil ("_EXTRA") ("BOXZOOM") ("CONT_NOFILL") ("CONTINTERVALLE") ("CONTLABEL") ("CONTMAX") ("CONTMIN") ("CONTNLEVEL") ("CONTOUR") ("DECIMATETRI") ("DUPLICATE") ("GRIDTYPE") ("INTERVALLE") ("INV") ("LABEL") ("LABMAP") ("MAP") ("MASKFILL") ("MAXIN") ("MININ") ("NLEVEL") ("NOFILL") ("NOTRI") ("OVERPLOT") ("REALCONT") ("STRICTFILL") ("STYLE") ("USETRI") ("VECTEUR")))
    ("plt1d" pro nil (lib "plt1d.pro" nil "saxo") "%s, tab, param2, param3, param4" (nil ("_EXTRA") ("BOXZOOM") ("COL1D") ("ENDPOINTS") ("MAXIN") ("MININ") ("OV1D") ("REVERSE_X") ("REVERSE_Y") ("SIN") ("STY1D") ("SWITCHXY") ("TT") ("TYPEIN") ("X") ("Y") ("Z")))