Index: trunk/SRC/Utilities/createfunc.pro
===================================================================
--- trunk/SRC/Utilities/createfunc.pro	(revision 317)
+++ trunk/SRC/Utilities/createfunc.pro	(revision 325)
@@ -38,5 +38,4 @@
 ;
 ;-
-;
 FUNCTION createfunc, command, FILENAMEIN = filenamein $
                , KWDLIST = kwdlist, _EXTRA = ex
Index: trunk/SRC/Utilities/createpro.pro
===================================================================
--- trunk/SRC/Utilities/createpro.pro	(revision 317)
+++ trunk/SRC/Utilities/createpro.pro	(revision 325)
@@ -44,5 +44,4 @@
 ;
 ;-
-;
 PRO createpro, command, FILENAMEIN = filenamein $
                , KWDLIST = kwdlist, KWDUSED = kwdused, _EXTRA = ex
Index: trunk/SRC/Utilities/def_myuniquetmpdir.pro
===================================================================
--- trunk/SRC/Utilities/def_myuniquetmpdir.pro	(revision 317)
+++ trunk/SRC/Utilities/def_myuniquetmpdir.pro	(revision 325)
@@ -22,5 +22,4 @@
 ;
 ;-
-;
 PRO def_myuniquetmpdir
 ;
Index: trunk/SRC/Utilities/demomode_compatibility.pro
===================================================================
--- trunk/SRC/Utilities/demomode_compatibility.pro	(revision 317)
+++ trunk/SRC/Utilities/demomode_compatibility.pro	(revision 325)
@@ -9,6 +9,6 @@
 ; @version
 ; $Id$
+;
 ;-
-;
 PRO demomode_compatibility
 ;
Index: trunk/SRC/Utilities/find.pro
===================================================================
--- trunk/SRC/Utilities/find.pro	(revision 317)
+++ trunk/SRC/Utilities/find.pro	(revision 325)
@@ -107,5 +107,4 @@
 ;
 ;-
-;
 FUNCTION find, filein, IODIRECTORY = iodirectory, RECURSIVE = recursive $
                , REPERTOIRE = repertoire, NOPRO = nopro, ONLYPRO = onlypro $
Index: trunk/SRC/Utilities/fitintobox.pro
===================================================================
--- trunk/SRC/Utilities/fitintobox.pro	(revision 317)
+++ trunk/SRC/Utilities/fitintobox.pro	(revision 325)
@@ -39,5 +39,4 @@
 ;
 ;-
-;
 FUNCTION err_mess, sz, jpi, nx, jpj, ny, jpk, nz, jpt
 ;
@@ -120,5 +119,4 @@
 ;
 ;-
-;
 FUNCTION fitintobox, field, nx, ny, nz, firstx, firsty $
                      , firstz, lastx, lasty, lastz, WDEPTH = wdepth
Index: trunk/SRC/Utilities/isadirectory.pro
===================================================================
--- trunk/SRC/Utilities/isadirectory.pro	(revision 317)
+++ trunk/SRC/Utilities/isadirectory.pro	(revision 325)
@@ -6,5 +6,5 @@
 ;
 ; @categories
-; io
+; Input/Output 
 ;
 ; @param DIRECTORYIN {in}{optional}
@@ -42,5 +42,4 @@
 ;
 ;-
-;
 FUNCTION isadirectory, directoryin, TITLE = title, IODIRECTORY = iodirectory, _EXTRA = ex
 ;
Index: trunk/SRC/Utilities/isafile.pro
===================================================================
--- trunk/SRC/Utilities/isafile.pro	(revision 317)
+++ trunk/SRC/Utilities/isafile.pro	(revision 325)
@@ -7,8 +7,8 @@
 ;
 ; @categories
-; io
+; Input/Output
 ;
-; @param FILEIN {in}{optional}
-; a proposed name. If neither filein input parameter of filename keyword are
+; @param filein {in}{optional}
+; a proposed name. If neither filein input parameter or filename keyword are
 ; defined, we ask the user to choose a file.
 ;
@@ -66,5 +66,4 @@
 ;
 ;-
-;
 FUNCTION isafile, filein, FILENAME = filename, IODIRECTORY = iodirectory $
                   , NEW = new, RECURSIVE = RECURSIVE, ONLYPRO = onlypro $
Index: trunk/SRC/Utilities/linearequation.pro
===================================================================
--- trunk/SRC/Utilities/linearequation.pro	(revision 317)
+++ trunk/SRC/Utilities/linearequation.pro	(revision 325)
@@ -40,5 +40,4 @@
 ;
 ;-
-;
 FUNCTION linearequation, point1, point2
 ;
Index: trunk/SRC/Utilities/lineintersection.pro
===================================================================
--- trunk/SRC/Utilities/lineintersection.pro	(revision 317)
+++ trunk/SRC/Utilities/lineintersection.pro	(revision 325)
@@ -54,7 +54,5 @@
 ;
 ;-
-;
 FUNCTION lineintersection, abc1, abc2, FLOAT = float
-;
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Utilities/mergeonline_help.pro
===================================================================
--- trunk/SRC/Utilities/mergeonline_help.pro	(revision 317)
+++ trunk/SRC/Utilities/mergeonline_help.pro	(revision 325)
@@ -17,5 +17,4 @@
 ;
 ;-
-;
 PRO mergeonline_help
 ;
Index: trunk/SRC/Utilities/protype.pro
===================================================================
--- trunk/SRC/Utilities/protype.pro	(revision 317)
+++ trunk/SRC/Utilities/protype.pro	(revision 325)
@@ -35,5 +35,4 @@
 ;
 ;-
-;
 FUNCTION protype, file
 ;
Index: trunk/SRC/Utilities/pwd.pro
===================================================================
--- trunk/SRC/Utilities/pwd.pro	(revision 317)
+++ trunk/SRC/Utilities/pwd.pro	(revision 325)
@@ -14,5 +14,4 @@
 ;
 ;-
-;
 PRO pwd
 ;
Index: trunk/SRC/Utilities/report.pro
===================================================================
--- trunk/SRC/Utilities/report.pro	(revision 317)
+++ trunk/SRC/Utilities/report.pro	(revision 325)
@@ -6,7 +6,7 @@
 ; To ask a question whose answer is not yes/no, use <pro>xquestion</pro>.
 ;
-; @param TEXTIN {in}{required} {type=scalar string or arrays of string}
-; If TEXTIN is a scalar string, we look for the line feed character "!C".
-; If TEXTIN is set to an array of strings, each
+; @param textin {in}{required} {type=scalar string or arrays of string}
+; If textin is a scalar string, we look for the line feed character "!C".
+; If textin is set to an array of strings, each
 ; array element is displayed as a separate line of text.
 ;
@@ -60,6 +60,6 @@
 ;
 ;-
-;
-FUNCTION report, textin, DEFAULT_NO = default_no, PARENT = parent, QUESTION = question, SIMPLE = simple, _EXTRA = ex
+FUNCTION report, textin, DEFAULT_NO = default_no, PARENT = parent $
+               , QUESTION = question, SIMPLE = simple, _EXTRA = ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Utilities/routine_name.pro
===================================================================
--- trunk/SRC/Utilities/routine_name.pro	(revision 317)
+++ trunk/SRC/Utilities/routine_name.pro	(revision 325)
@@ -41,5 +41,4 @@
 ;
 ;-
-;
 FUNCTION routine_name,  pilingnum
 ;
Index: trunk/SRC/Utilities/testvar.pro
===================================================================
--- trunk/SRC/Utilities/testvar.pro	(revision 317)
+++ trunk/SRC/Utilities/testvar.pro	(revision 325)
@@ -28,5 +28,4 @@
 ;
 ;-
-;
 FUNCTION testvar, VAR = var
 ;
Index: trunk/SRC/Utilities/text_box.pro
===================================================================
--- trunk/SRC/Utilities/text_box.pro	(revision 317)
+++ trunk/SRC/Utilities/text_box.pro	(revision 325)
@@ -50,5 +50,4 @@
 ;
 ;-
-;
 PRO text_box, text, POS=pos, FG_COLOR=fg_color, BG_COLOR=bg_color,$
                CENTER=center, RIGHT=right, BOX=box, VERT_SPACE=vert_space, _EXTRA = ex
Index: trunk/SRC/Utilities/undefine.pro
===================================================================
--- trunk/SRC/Utilities/undefine.pro	(revision 317)
+++ trunk/SRC/Utilities/undefine.pro	(revision 325)
@@ -33,5 +33,4 @@
 ;
 ;-
-;
 PRO undefine, varname
 ;
Index: trunk/SRC/Utilities/xfile.pro
===================================================================
--- trunk/SRC/Utilities/xfile.pro	(revision 317)
+++ trunk/SRC/Utilities/xfile.pro	(revision 325)
@@ -34,5 +34,4 @@
 ;
 ;-
-;
 PRO xfile, filename, _EXTRA = ex
 ;
Index: trunk/SRC/Utilities/xhelp.pro
===================================================================
--- trunk/SRC/Utilities/xhelp.pro	(revision 317)
+++ trunk/SRC/Utilities/xhelp.pro	(revision 325)
@@ -7,5 +7,5 @@
 ; Utilities Widget
 ;
-; @param FILENAME {in}{required} {type=scalar string}
+; @param filename {in}{required} {type=scalar string}
 ; It is the name of the procedure or of the function
 ; we want to display (with or without .pro at the end).
@@ -37,5 +37,4 @@
 ;
 ;-
-;
 PRO xhelp, filename, _EXTRA=ex
 ;