Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 325)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 326)
@@ -147,6 +147,8 @@
 ; @keyword STRICTFILL
 ; Activate this keyword to that the filling of contours be
-; precisely done between the min and the max specified letting values inferior at the
-; specified min and values superior at the specified max in white.
+; precisely done between the min and the max specified. Values inferior/superior at the
+; specified min/max are not filled. Note that max values a considered
+; as missing values so cells containing one or more corners with
+; values above max will have no contours drawn through them.  
 ;
 ; @keyword STYLE {default=style=0}
@@ -342,4 +344,11 @@
     IF NOT keyword_set(nofill) THEN z2d[where(masknan EQ 0)] = max
   ENDIF ELSE masknan = 1
+  IF keyword_set(strictfill) THEN BEGIN
+    tmp = z2d ge max
+    tmp = 1b - byte(extrapolate(tmp, tmp, 1, x_periodic = keyword_set(key_periodic)*(nx EQ jpi) ))
+    trifield = triangule(temporary(tmp)*mask, coinmonte = coinmontemask $
+               , coindescend = coindescendmask, keep_cont = 0)
+    indicezoommask = (lindgen(jpi, jpj))[firstx:lastx, firsty:lasty]
+  ENDIF
 ; filling the mask values
 ; we fill only masknan or we fill mask*masknan?
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 325)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 326)
@@ -150,6 +150,8 @@
 ; @keyword STRICTFILL
 ; Activate this keyword to that the filling of contours be
-; precisely done between the min and the max specified letting values inferior at the
-; specified min and values superior at the specified max in white.
+; precisely done between the min and the max specified. Values inferior/superior at the
+; specified min/max are not filled. Note that max values a considered
+; as missing values so cells containing one or more corners with
+; values above max will have no contours drawn through them.  
 ;
 ; @keyword STYLE {default=style=0}
@@ -467,8 +469,17 @@
          IF NOT keyword_set(nofill) THEN z2d[where(masknan EQ 0)] = max
          mask = temporary(mask)*temporary(masknan)
+       ENDIF
+      usetri = 0 ; default definition
+      IF keyword_set(strictfill) THEN BEGIN
+        tmp = z2d ge max
+        tmp = 1b - byte(extrapolate(tmp, tmp, 1))
+        key_save = key_periodic & key_periodic = 0
+        trifield = triangule(temporary(tmp)*mask, coinmonte = coinmontemaskaa $
+                             , coindescend = coindescendmaskaa, keep_cont = 0)
+        key_periodic = key_save
+        usetri = 2
       ENDIF
       z2d = remplit(z2d,nite=2+keyword_set(nan), mask = mask, /basique, _extra=ex)
       if NOT keyword_set(strictfill) then z2d = min > z2d <  max
-      usetri = 0 ; default definition
       if keyword_set(nan) then BEGIN
         triangulation = triangule(mask, /basic, coinmonte = coinmontemask $
@@ -482,8 +493,9 @@
                                      , coindescend = coindescendmask)
       ENDIF
+      IF NOT keyword_set(strictfill) THEN trifield = triangulation
 ;----------------------------------------------------------------------
       pltbase, z2d, xx, yy, mask, xx, yy, level_z2d, colnumb, contour = contour, /noerase $
        , c_linestyle=linestyle,c_labels=1-(indgen(n_elements(level_z2d)) MOD 2) $
-       , trichamp = triangulation, trimsk = triangulation, overplot = overplot $
+       , trichamp = trifield, trimsk = triangulation, overplot = overplot $
        , c_thick=thick, performance = key_performance, nofill = nofill, usetri = usetri $
        , coinmontemask=coinmontemask, coindescendmask=coindescendmask, _extra = ex
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 325)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 326)
@@ -129,6 +129,8 @@
 ; @keyword STRICTFILL
 ; Activate this keyword to that the filling of contours be
-; precisely done between the min and the max specified letting values inferior at the
-; specified min and values superior at the specified max in white.
+; precisely done between the min and the max specified. Values inferior/superior at the
+; specified min/max are not filled. Note that max values a considered
+; as missing values so cells containing one or more corners with
+; values above max will have no contours drawn through them.  
 ;
 ; @keyword STYLE {default=style=0}
@@ -305,4 +307,12 @@
     IF NOT keyword_set(nofill) THEN z2d[where(masknan EQ 0)] = max
   ENDIF ELSE masknan = 1
+  IF keyword_set(strictfill) THEN BEGIN
+    tmp = z2d ge max
+    tmp = 1b - byte(extrapolate(tmp, tmp, 1))
+    key_save = key_periodic & key_periodic = 0
+    trifield = triangule(temporary(tmp)*mask, coinmonte = coinmontemask $
+                         , coindescend = coindescendmask, keep_cont = 0)
+    key_periodic = key_save
+  ENDIF
   IF n_elements(fillxdir) EQ 0  THEN fillxdir = 1
   IF keyword_set(fillxdir) THEN BEGIN
@@ -335,7 +345,7 @@
 ;   if keyword_set(notri) then trifield = -1 $
 ;   ELSE trifield = triangule(mask,/basic)
-  if (usetri GE 1 AND (vargrid EQ 'T' OR vargrid EQ 'W')) $
-    OR (usetri EQ 2 AND (vargrid NE 'T' AND vargrid NE 'W')) THEN $
-    trifield = triangule(mask, /basic)
+  if NOT keyword_set(strictfill) AND ((usetri GE 1 AND (vargrid EQ 'T' OR vargrid EQ 'W')) $
+                                      OR (usetri EQ 2 AND (vargrid NE 'T' AND vargrid NE 'W'))) THEN $
+                                         trifield = triangule(mask, /basic)
 ;
   IF NOT keyword_set(endpoints)  THEN BEGIN