Index: trunk/SRC/Utilities/createfunc.pro
===================================================================
--- trunk/SRC/Utilities/createfunc.pro	(revision 325)
+++ trunk/SRC/Utilities/createfunc.pro	(revision 327)
@@ -16,5 +16,5 @@
 ; function definition. 
 ; Warning: the string must start with a ',' 
-; for example: KWDLIST = ', TOTO = toto'
+; for example: KWDLIST=', TOTO=toto'
 ;
 ; @keyword _EXTRA 
@@ -38,6 +38,6 @@
 ;
 ;-
-FUNCTION createfunc, command, FILENAMEIN = filenamein $
-               , KWDLIST = kwdlist, _EXTRA = ex
+FUNCTION createfunc, command, FILENAMEIN=filenamein $
+               , KWDLIST=kwdlist, _EXTRA=ex
 ;
   compile_opt idl2, hidden, strictarrsubs
Index: trunk/SRC/Utilities/createpro.pro
===================================================================
--- trunk/SRC/Utilities/createpro.pro	(revision 325)
+++ trunk/SRC/Utilities/createpro.pro	(revision 327)
@@ -15,5 +15,5 @@
 ; definition. 
 ; Warning: the string must start with a ',' 
-; for example: KWDLIST = ', TOTO = toto'
+; for example: KWDLIST=', TOTO = toto'
 ;
 ; @keyword KWDUSED 
@@ -44,6 +44,6 @@
 ;
 ;-
-PRO createpro, command, FILENAMEIN = filenamein $
-               , KWDLIST = kwdlist, KWDUSED = kwdused, _EXTRA = ex
+PRO createpro, command, FILENAMEIN=filenamein $
+             , KWDLIST=kwdlist, KWDUSED=kwdused, _EXTRA=ex
 ;
   compile_opt idl2, hidden, strictarrsubs
Index: trunk/SRC/Utilities/find.pro
===================================================================
--- trunk/SRC/Utilities/find.pro	(revision 325)
+++ trunk/SRC/Utilities/find.pro	(revision 327)
@@ -107,8 +107,8 @@
 ;
 ;-
-FUNCTION find, filein, IODIRECTORY = iodirectory, RECURSIVE = recursive $
-               , REPERTOIRE = repertoire, NOPRO = nopro, ONLYPRO = onlypro $
-               , ONLYNC = onlync, UNIQUE = unique, FIRSTFOUND = firstfound $
-               , LOOKALLDIR = LOOKALLDIR, TRYFIND = tryfind, _EXTRA = ex
+FUNCTION find, filein, IODIRECTORY=iodirectory, RECURSIVE=recursive $
+             , REPERTOIRE=repertoire, NOPRO=nopro, ONLYPRO=onlypro $
+             , ONLYNC=onlync, UNIQUE=unique, FIRSTFOUND=firstfound $
+             , LOOKALLDIR=LOOKALLDIR, TRYFIND=tryfind, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Utilities/fitintobox.pro
===================================================================
--- trunk/SRC/Utilities/fitintobox.pro	(revision 325)
+++ trunk/SRC/Utilities/fitintobox.pro	(revision 327)
@@ -120,5 +120,5 @@
 ;-
 FUNCTION fitintobox, field, nx, ny, nz, firstx, firsty $
-                     , firstz, lastx, lasty, lastz, WDEPTH = wdepth
+                   , firstz, lastx, lasty, lastz, WDEPTH=wdepth
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Utilities/isadirectory.pro
===================================================================
--- trunk/SRC/Utilities/isadirectory.pro	(revision 325)
+++ trunk/SRC/Utilities/isadirectory.pro	(revision 327)
@@ -42,5 +42,6 @@
 ;
 ;-
-FUNCTION isadirectory, directoryin, TITLE = title, IODIRECTORY = iodirectory, _EXTRA = ex
+FUNCTION isadirectory, directoryin, TITLE=title, IODIRECTORY=iodirectory $
+                     , _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Utilities/isafile.pro
===================================================================
--- trunk/SRC/Utilities/isafile.pro	(revision 325)
+++ trunk/SRC/Utilities/isafile.pro	(revision 327)
@@ -66,7 +66,7 @@
 ;
 ;-
-FUNCTION isafile, filein, FILENAME = filename, IODIRECTORY = iodirectory $
-                  , NEW = new, RECURSIVE = RECURSIVE, ONLYPRO = onlypro $
-                  , ONLYNC = onlync, _EXTRA = ex
+FUNCTION isafile, filein, FILENAME=filename, IODIRECTORY=iodirectory $
+                , NEW=new, RECURSIVE=RECURSIVE, ONLYPRO=onlypro $
+                , ONLYNC=onlync, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Utilities/lineintersection.pro
===================================================================
--- trunk/SRC/Utilities/lineintersection.pro	(revision 325)
+++ trunk/SRC/Utilities/lineintersection.pro	(revision 327)
@@ -54,5 +54,5 @@
 ;
 ;-
-FUNCTION lineintersection, abc1, abc2, FLOAT = float
+FUNCTION lineintersection, abc1, abc2, FLOAT=float
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Utilities/report.pro
===================================================================
--- trunk/SRC/Utilities/report.pro	(revision 325)
+++ trunk/SRC/Utilities/report.pro	(revision 327)
@@ -60,6 +60,6 @@
 ;
 ;-
-FUNCTION report, textin, DEFAULT_NO = default_no, PARENT = parent $
-               , QUESTION = question, SIMPLE = simple, _EXTRA = ex
+FUNCTION report, textin, DEFAULT_NO=default_no, PARENT=parent $
+               , QUESTION=question, SIMPLE=simple, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Utilities/testvar.pro
===================================================================
--- trunk/SRC/Utilities/testvar.pro	(revision 325)
+++ trunk/SRC/Utilities/testvar.pro	(revision 327)
@@ -28,5 +28,5 @@
 ;
 ;-
-FUNCTION testvar, VAR = var
+FUNCTION testvar, VAR=var
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Utilities/text_box.pro
===================================================================
--- trunk/SRC/Utilities/text_box.pro	(revision 325)
+++ trunk/SRC/Utilities/text_box.pro	(revision 327)
@@ -50,6 +50,7 @@
 ;
 ;-
-PRO text_box, text, POS=pos, FG_COLOR=fg_color, BG_COLOR=bg_color,$
-               CENTER=center, RIGHT=right, BOX=box, VERT_SPACE=vert_space, _EXTRA = ex
+PRO text_box, text, POS=pos, FG_COLOR=fg_color, BG_COLOR=bg_color $
+            , CENTER=center, RIGHT=right, BOX=box, VERT_SPACE=vert_space $
+            , _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Utilities/xfile.pro
===================================================================
--- trunk/SRC/Utilities/xfile.pro	(revision 325)
+++ trunk/SRC/Utilities/xfile.pro	(revision 327)
@@ -34,5 +34,5 @@
 ;
 ;-
-PRO xfile, filename, _EXTRA = ex
+PRO xfile, filename, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Utilities/xhelp.pro
===================================================================
--- trunk/SRC/Utilities/xhelp.pro	(revision 325)
+++ trunk/SRC/Utilities/xhelp.pro	(revision 327)
@@ -41,5 +41,5 @@
   compile_opt idl2, strictarrsubs
 ;
-  usage="xhelp, filename, _EXTRA = ex"
+  usage="xhelp, filename, _EXTRA=ex"
 ;
 ; check parameters