Index: trunk/SRC/Documentation/idldoc_html_output/idldoc-index-C.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/idldoc-index-C.html	(revision 321)
+++ trunk/SRC/Documentation/idldoc_html_output/idldoc-index-C.html	(revision 338)
@@ -172,4 +172,7 @@
       <dl>
 	
+	<dt><a href="./ReadWrite/ncdf_getatt.html#_ncdf_getatt">CALENDAR</a></dt>
+	<dd>a keyword from the routine ncdf_getatt</dd>
+	
 	<dt><a href="./ToBeReviewed/WIDGET/xx.html#_xx">CALENDAR</a></dt>
 	<dd>a keyword from the routine xx</dd>
@@ -262,16 +265,16 @@
 	<dd>a keyword from the routine vecteur</dd>
 	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_c.html#_drawcoast_c">COAST_COLOR</a></dt>
+	<dd>a keyword from the routine drawcoast_c</dd>
+	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/tracemask.html#_tracemask">COAST_COLOR</a></dt>
+	<dd>a keyword from the routine tracemask</dd>
+	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_e.html#_drawcoast_e">COAST_COLOR</a></dt>
+	<dd>a keyword from the routine drawcoast_e</dd>
+	
 	<dt><a href="./ToBeReviewed/TRIANGULATION/drawsectionbottom.html#_drawsectionbottom">COAST_COLOR</a></dt>
 	<dd>a keyword from the routine drawsectionbottom</dd>
 	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/tracemask.html#_tracemask">COAST_COLOR</a></dt>
-	<dd>a keyword from the routine tracemask</dd>
-	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_e.html#_drawcoast_e">COAST_COLOR</a></dt>
-	<dd>a keyword from the routine drawcoast_e</dd>
-	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_c.html#_drawcoast_c">COAST_COLOR</a></dt>
-	<dd>a keyword from the routine drawcoast_c</dd>
-	
 	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_c.html#_drawcoast_c">COAST_THICK</a></dt>
 	<dd>a keyword from the routine drawcoast_c</dd>
@@ -286,22 +289,22 @@
 	<dd>a keyword from the routine drawcoast_e</dd>
 	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/completecointerre.html#_completecointerre">COINDESCEND</a></dt>
+	<dd>a keyword from the routine completecointerre</dd>
+	
+	<dt><a href="./ToBeReviewed/GRILLE/decoupeterre.html#_decoupeterre">COINDESCEND</a></dt>
+	<dd>a keyword from the routine decoupeterre</dd>
+	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/fillcornermask.html#_fillcornermask">COINDESCEND</a></dt>
+	<dd>a keyword from the routine fillcornermask</dd>
+	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/triangule.html#_triangule">COINDESCEND</a></dt>
+	<dd>a keyword from the routine triangule</dd>
+	
 	<dt><a href="./ToBeReviewed/TRIANGULATION/triangule_c.html#_triangule_c">COINDESCEND</a></dt>
 	<dd>a keyword from the routine triangule_c</dd>
 	
-	<dt><a href="./ToBeReviewed/GRILLE/decoupeterre.html#_decoupeterre">COINDESCEND</a></dt>
-	<dd>a keyword from the routine decoupeterre</dd>
-	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/fillcornermask.html#_fillcornermask">COINDESCEND</a></dt>
-	<dd>a keyword from the routine fillcornermask</dd>
-	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/triangule.html#_triangule">COINDESCEND</a></dt>
-	<dd>a keyword from the routine triangule</dd>
-	
 	<dt><a href="./ToBeReviewed/TRIANGULATION/triangule_e.html#_triangule_e">COINDESCEND</a></dt>
 	<dd>a keyword from the routine triangule_e</dd>
 	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/completecointerre.html#_completecointerre">COINDESCEND</a></dt>
-	<dd>a keyword from the routine completecointerre</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltbase.html#_pltbase">COINDESCENDMASK</a></dt>
 	<dd>a keyword from the routine pltbase</dd>
@@ -319,4 +322,7 @@
 	<dd>a keyword from the routine triangule</dd>
 	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/completecointerre.html#_completecointerre">COINMONTE</a></dt>
+	<dd>a keyword from the routine completecointerre</dd>
+	
 	<dt><a href="./ToBeReviewed/TRIANGULATION/fillcornermask.html#_fillcornermask">COINMONTE</a></dt>
 	<dd>a keyword from the routine fillcornermask</dd>
@@ -325,7 +331,4 @@
 	<dd>a keyword from the routine decoupeterre</dd>
 	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/completecointerre.html#_completecointerre">COINMONTE</a></dt>
-	<dd>a keyword from the routine completecointerre</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltbase.html#_pltbase">COINMONTEMASK</a></dt>
 	<dd>a keyword from the routine pltbase</dd>
@@ -355,10 +358,10 @@
 	<dd>a keyword from the routine pltbase</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/sbar_plot.html#_sbar_plot">COLORS</a></dt>
+	<dd>a keyword from the routine sbar_plot</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/bar_plot.html#_bar_plot">COLORS</a></dt>
 	<dd>a keyword from the routine bar_plot</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/sbar_plot.html#_sbar_plot">COLORS</a></dt>
-	<dd>a keyword from the routine sbar_plot</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltbase.html#_pltbase">COLORTRICHAMP</a></dt>
 	<dd>a keyword from the routine pltbase</dd>
@@ -379,25 +382,25 @@
 	<dd>a keyword from the routine barrecouleur</dd>
 	
+	<dt><a href="./buildinit.html#_cw_field2">COLUMN</a></dt>
+	<dd>a keyword from the routine cw_field2</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.html#_cw_specifie">COLUMN</a></dt>
+	<dd>a keyword from the routine cw_specifie</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.html#_cw_slide_slice">COLUMN</a></dt>
+	<dd>a keyword from the routine cw_slide_slice</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_pagelayout.html#_cw_pagelayout">COLUMN</a></dt>
+	<dd>a keyword from the routine cw_pagelayout</dd>
+	
 	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.html#_cw_droplist_pm">COLUMN</a></dt>
 	<dd>a keyword from the routine cw_droplist_pm</dd>
 	
+	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm.html#_cw_combobox_pm">COLUMN</a></dt>
+	<dd>a keyword from the routine cw_combobox_pm</dd>
+	
 	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.html#_cw_bgroup">COLUMN</a></dt>
 	<dd>a keyword from the routine cw_bgroup</dd>
 	
-	<dt><a href="./buildinit.html#_cw_field2">COLUMN</a></dt>
-	<dd>a keyword from the routine cw_field2</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm.html#_cw_combobox_pm">COLUMN</a></dt>
-	<dd>a keyword from the routine cw_combobox_pm</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_pagelayout.html#_cw_pagelayout">COLUMN</a></dt>
-	<dd>a keyword from the routine cw_pagelayout</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.html#_cw_specifie">COLUMN</a></dt>
-	<dd>a keyword from the routine cw_specifie</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.html#_cw_slide_slice">COLUMN</a></dt>
-	<dd>a keyword from the routine cw_slide_slice</dd>
-	
 	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/letsdraw.html#_letsdraw">COMMANDE</a></dt>
 	<dd>a keyword from the routine letsdraw</dd>
@@ -409,8 +412,11 @@
 	<dd>a keyword from the routine pltz</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html#_plt">CONTINTERVALLE</a></dt>
+	<dd>a keyword from the routine plt</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltt.html#_pltt">CONTINTERVALLE</a></dt>
 	<dd>a keyword from the routine pltt</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html#_plt">CONTINTERVALLE</a></dt>
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html#_plt">CONTLABEL</a></dt>
 	<dd>a keyword from the routine plt</dd>
 	
@@ -418,7 +424,4 @@
 	<dd>a keyword from the routine pltz</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html#_plt">CONTLABEL</a></dt>
-	<dd>a keyword from the routine plt</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltt.html#_pltt">CONTLABEL</a></dt>
 	<dd>a keyword from the routine pltt</dd>
@@ -433,12 +436,15 @@
 	<dd>a keyword from the routine pltt</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html#_pltz">CONTMIN</a></dt>
+	<dd>a keyword from the routine pltz</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltt.html#_pltt">CONTMIN</a></dt>
+	<dd>a keyword from the routine pltt</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html#_plt">CONTMIN</a></dt>
 	<dd>a keyword from the routine plt</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltt.html#_pltt">CONTMIN</a></dt>
-	<dd>a keyword from the routine pltt</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html#_pltz">CONTMIN</a></dt>
-	<dd>a keyword from the routine pltz</dd>
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html#_plt">CONTNLEVEL</a></dt>
+	<dd>a keyword from the routine plt</dd>
 	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltt.html#_pltt">CONTNLEVEL</a></dt>
@@ -448,61 +454,58 @@
 	<dd>a keyword from the routine pltz</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html#_plt">CONTNLEVEL</a></dt>
+	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/placedessin.html#_placedessin">CONTOUR</a></dt>
+	<dd>a keyword from the routine placedessin</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/legende.html#_legende">CONTOUR</a></dt>
+	<dd>a keyword from the routine legende</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html#_plt">CONTOUR</a></dt>
 	<dd>a keyword from the routine plt</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltbase.html#_pltbase">CONTOUR</a></dt>
+	<dd>a keyword from the routine pltbase</dd>
 	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html#_pltz">CONTOUR</a></dt>
 	<dd>a keyword from the routine pltz</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html#_plt">CONTOUR</a></dt>
-	<dd>a keyword from the routine plt</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/placedessin.html#_placedessin">CONTOUR</a></dt>
-	<dd>a keyword from the routine placedessin</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltt.html#_pltt">CONTOUR</a></dt>
 	<dd>a keyword from the routine pltt</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltbase.html#_pltbase">CONTOUR</a></dt>
-	<dd>a keyword from the routine pltbase</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/legende.html#_legende">CONTOUR</a></dt>
-	<dd>a keyword from the routine legende</dd>
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltbase.html#_pltbase">CONT_COLOR</a></dt>
+	<dd>a keyword from the routine pltbase</dd>
+	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/completecointerre.html#_completecointerre">CONT_COLOR</a></dt>
+	<dd>a keyword from the routine completecointerre</dd>
+	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/drawsectionbottom.html#_drawsectionbottom">CONT_COLOR</a></dt>
+	<dd>a keyword from the routine drawsectionbottom</dd>
+	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/fillcornermask.html#_fillcornermask">CONT_COLOR</a></dt>
+	<dd>a keyword from the routine fillcornermask</dd>
 	
 	<dt><a href="./ToBeReviewed/TRIANGULATION/completecointerre.html#_draw_corner_triangle">CONT_COLOR</a></dt>
 	<dd>a keyword from the routine draw_corner_triangle</dd>
 	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/completecointerre.html#_completecointerre">CONT_COLOR</a></dt>
-	<dd>a keyword from the routine completecointerre</dd>
-	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/drawsectionbottom.html#_drawsectionbottom">CONT_COLOR</a></dt>
-	<dd>a keyword from the routine drawsectionbottom</dd>
-	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/fillcornermask.html#_fillcornermask">CONT_COLOR</a></dt>
-	<dd>a keyword from the routine fillcornermask</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltbase.html#_pltbase">CONT_COLOR</a></dt>
-	<dd>a keyword from the routine pltbase</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltbase.html#_pltbase">CONT_NOFILL</a></dt>
 	<dd>a keyword from the routine pltbase</dd>
+	
+	<dt><a href="./ToBeReviewed/LECTURE/read_ncdf.html#_read_ncdf">CONT_NOFILL</a></dt>
+	<dd>a keyword from the routine read_ncdf</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html#_plt">CONT_NOFILL</a></dt>
+	<dd>a keyword from the routine plt</dd>
 	
 	<dt><a href="./ToBeReviewed/TRIANGULATION/drawsectionbottom.html#_drawsectionbottom">CONT_NOFILL</a></dt>
 	<dd>a keyword from the routine drawsectionbottom</dd>
 	
-	<dt><a href="./ToBeReviewed/LECTURE/read_ncdf.html#_read_ncdf">CONT_NOFILL</a></dt>
-	<dd>a keyword from the routine read_ncdf</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html#_plt">CONT_NOFILL</a></dt>
-	<dd>a keyword from the routine plt</dd>
-	
 	<dt><a href="./Interpolation/lbcorca.html#_lbcorca">CORRECTION</a></dt>
 	<dd>a keyword from the routine lbcorca</dd>
 	
+	<dt><a href="./Matrix/cmset_op.html#_cmset_op">COUNT</a></dt>
+	<dd>a keyword from the routine cmset_op</dd>
+	
 	<dt><a href="./ToBeReviewed/LECTURE/xncdf_lec.html#_xncdf_lec">COUNT</a></dt>
 	<dd>a keyword from the routine xncdf_lec</dd>
 	
-	<dt><a href="./Matrix/cmset_op.html#_cmset_op">COUNT</a></dt>
-	<dd>a keyword from the routine cmset_op</dd>
-	
 	<dt><a href="./ToBeReviewed/STATISTICS/a_correlate2d.html#_a_correlate2d">COVARIANCE</a></dt>
 	<dd>a keyword from the routine a_correlate2d</dd>
@@ -529,10 +532,10 @@
 	<dd>a keyword from the routine tvplus</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltv.html#_pltv">C_NAN</a></dt>
+	<dd>a keyword from the routine pltv</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/tvplus.html#_tvplus">C_NAN</a></dt>
 	<dd>a keyword from the routine tvplus</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltv.html#_pltv">C_NAN</a></dt>
-	<dd>a keyword from the routine pltv</dd>
-	
 	<dt><a href="./ToBeReviewed/STRING/delchr.html#_delchr">c</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/STRING/delchr</dd>
@@ -559,7 +562,4 @@
 	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar</dd>
 	
-	<dt><a href="./ReadWrite/ncdf_getatt.html#_ncdf_getatt">calendar</a></dt>
-	<dd>a keyword from the routine ncdf_getatt</dd>
-	
 	<dt><a href="./ToBeReviewed/POSTSCRIPT/calibre.html#_calibre">calibre</a></dt>
 	<dd>a procedure from the file calibre.pro</dd>