Index: trunk/SRC/Documentation/xmldoc/getsaxo.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 322)
+++ trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 339)
@@ -3,11 +3,11 @@
 <head>
 <meta name="generator" content=
-"HTML Tidy for Mac OS X (vers 1 September 2005), see www.w3.org">
+"HTML Tidy for Mac OS X (vers 1st December 2004), see www.w3.org">
 <meta http-equiv="Content-Type" content=
 "text/html; charset=us-ascii">
 <title>Get SAXO</title>
-<link href="style.css" rel="stylesheet" type="text/css">
-<link href="saxo.css" rel="stylesheet" type="text/css">
-<meta content="DocBook XSL Stylesheets V1.71.1" name="generator">
+<link rel="stylesheet" href="style.css" type="text/css">
+<link rel="stylesheet" href="saxo.css" type="text/css">
+<meta name="generator" content="DocBook XSL Stylesheets V1.71.1">
 <meta name="keywords" content="IDL, SAXO">
 </head>
@@ -18,6 +18,6 @@
 <div>
 <div>
-<h2 class="title"><a name="N10002" id="N10002"></a> Get
-<span class="application">SAXO</span></h2>
+<h2 class="title"><a name="d0e2" id="d0e2"></a> Get <span class=
+"application">SAXO</span></h2>
 </div>
 <div>
@@ -26,5 +26,6 @@
 <h3 class="author"><span class="firstname">S&eacute;bastien</span>
 <span class="surname">Masson</span> <code class=
-"email">&lt;<a href="mailto:Sebastien.Masson_at_locean-ipsl.upmc.fr">Sebastien.Masson_at_locean-ipsl.upmc.fr</a>&gt;</code></h3>
+"email">&lt;<a href="mailto:Sebastien.Masson_at_locean-ipsl.upmc.fr">
+Sebastien.Masson_at_locean-ipsl.upmc.fr</a>&gt;</code></h3>
 </div>
 <div class="author">
@@ -41,7 +42,7 @@
 <div>
 <div class="revhistory">
-<table summary="Revision history" width="100%" border="1">
+<table border="1" width="100%" summary="Revision history">
 <tr>
-<th colspan="2" valign="top" align="left"><b>Revision
+<th align="left" valign="top" colspan="2"><b>Revision
 History</b></th>
 </tr>
@@ -51,5 +52,5 @@
 </tr>
 <tr>
-<td colspan="2" align="left">First draft</td>
+<td align="left" colspan="2">First draft</td>
 </tr>
 </table>
@@ -151,9 +152,9 @@
 </ul>
 </div>
-If you can access one of theses directories, there is no need to
+<p>If you can access one of theses directories, there is no need to
 re-install <span class="application">SAXO</span> again! In that
 case, you only have to link <code class="filename"><code class=
 "envar">${HOME}</code>/SAXO_DIR</code> to the appropriate
-directory:
+directory:</p>
 <div class="variablelist">
 <dl>
@@ -289,5 +290,5 @@
 <h4 class="title"><a name="saxo_src_tar" id=
 "saxo_src_tar"></a>2.3.1.&nbsp; Get <span class=
-"application">SAXO</span> source files (6.3M Mb)</h4>
+"application">SAXO</span> source files (5.8M Mb)</h4>
 </div>
 </div>
@@ -311,9 +312,9 @@
           
 </pre>
-&hellip; and download it the latest version of the sources tar
+<p>&hellip; and download it the latest version of the sources tar
 file: <a href=
-"http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20071203r321.tar.gz"
-target="_top">SAXO_SRC_20071203r321.tar.gz</a> (6.3M Mb). This
-tar.gz file could also be downloaded with
+"http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20080321r338.tar.gz"
+target="_top">SAXO_SRC_20080321r338.tar.gz</a> (5.8M Mb). This
+tar.gz file could also be downloaded with</p>
 <div class="variablelist">
 <dl>
@@ -325,5 +326,5 @@
 "userinput"><code><span><strong class=
 "command">wget</strong></span> <em class=
-"parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20071203r321.tar.gz</code></em></code></strong>
+"parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20080321r338.tar.gz</code></em></code></strong>
           
 </pre></dd>
@@ -336,10 +337,10 @@
 "command">curl</strong></span> <code class=
 "option">-O</code> <em class=
-"parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20071203r321.tar.gz</code></em></code></strong>
+"parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20080321r338.tar.gz</code></em></code></strong>
           
 </pre></dd>
 </dl>
 </div>
-Untar the file
+<p>Untar the file</p>
 <pre class="screen">
   <code class="prompt">$</code> <strong class=
@@ -352,9 +353,9 @@
 "command">tar</strong></span> <code class=
 "option">xvfz</code> <em class=
-"parameter"><code>SAXO_SRC_20071203r321.tar.gz</code></em></code></strong>
+"parameter"><code>SAXO_SRC_20080321r338.tar.gz</code></em></code></strong>
   <code class="prompt">$</code> <strong class=
 "userinput"><code><span><strong class=
 "command">rm</strong></span> <em class=
-"parameter"><code>SAXO_SRC_20071203r321.tar.gz</code></em></code></strong>
+"parameter"><code>SAXO_SRC_20080321r338.tar.gz</code></em></code></strong>
         
 </pre></div>
@@ -385,5 +386,5 @@
 <code class="filename">init.pro</code> file (see <a href=
 "#generate_init" title=
-"3.&nbsp; Generate your init.pro file ">Section&nbsp;3, &ldquo;
+"3.&nbsp; Generate your init.pro file  ">Section&nbsp;3, &ldquo;
 Generate your init.pro file &rdquo;</a>) or directly within IDL
 with the following command: <code class="prompt">idl&gt;</code>
@@ -410,8 +411,8 @@
         
 </pre>
-Download <a href=
+<p>Download <a href=
 "http://forge.ipsl.jussieu.fr/saxo/download/SAXO_DATA_20060602.tar.gz"
 target="_top">SAXO_DATA_20060602.tar.gz</a> (238M Mb) &hellip; or
-with
+with</p>
 <div class="variablelist">
 <dl>
@@ -476,5 +477,5 @@
         
 </pre>
-You must then answer several questions:
+<p>You must then answer several questions:</p>
 <div class="itemizedlist">
 <ul type="disc">
@@ -515,7 +516,8 @@
         
 </pre>
-There is an example of the kind of <a href=
+<p>There is an example of the kind of <a href=
 "idlfiles/init_example.pro" target="_top"><code class=
-"filename">init.pro</code></a> you should get.</div>
+"filename">init.pro</code></a> you should get.</p>
+</div>
 <div class="sect1" lang="en">
 <div class="titlepage">